[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

freeze exception for cryptsetup/2:1.0.6-5



Hello,

I just uploaded cryptsetup 2:1.0.6-5, which fixes two release-critical
bugs, to unstable. Please consider a freeze exception for this upload.

See exact changelog below and debdiff attached.

greetings,
 jonas

cryptsetup (2:1.0.6-5) unstable; urgency=high

  * Fix watch file to not report -pre and -rc releases as superior.
  * Remove the global var $SIZE from cryptdisks.functions again but keep the
    extended value checks.
  * Remove the udev rules file also in preinst, code taken from example at
    http://wiki.debian.org/DpkgConffileHandling. Thanks Marco d'Itri.
    (closes: #493151)
  * Remove duplicated configuration of --key-file in $PARAMS at do_noluks().
    (closes: #493848).
  * Invoke mount_fs() and umount_fs() in cryptdisks_start, add
    log_action_begin_msg() and log_action_end_msg() to both cryptdisk_start
    and cryptdisks_stop.
  * Copy fd 3 code from do_start and do_stop to cryptdisks_start and
    cryptdisks_stop  to fix "keyscript | cryptsetup". (closes: #493622)
  * This upload fixes two RC bugs, thus upload with severity=high.

 -- Jonas Meurer <mejo@debian.org>  Wed, 06 Aug 2008 10:19:21 +0200
diff -u cryptsetup-1.0.6/debian/watch cryptsetup-1.0.6/debian/watch
--- cryptsetup-1.0.6/debian/watch
+++ cryptsetup-1.0.6/debian/watch
@@ -2 +2 @@
-opts="uversionmangle=s/luks-//" http://luks.endorphin.org/source/cryptsetup-(.*)\.tar\.bz2
+opts="uversionmangle=s/luks-//;s/-pre/~pre/;s/-rc/~rc/" http://luks.endorphin.org/source/cryptsetup-(.*)\.tar\.bz2
diff -u cryptsetup-1.0.6/debian/changelog cryptsetup-1.0.6/debian/changelog
--- cryptsetup-1.0.6/debian/changelog
+++ cryptsetup-1.0.6/debian/changelog
@@ -1,3 +1,22 @@
+cryptsetup (2:1.0.6-5) unstable; urgency=high
+
+  * Fix watch file to not report -pre and -rc releases as superior.
+  * Remove the global var $SIZE from cryptdisks.functions again but keep the
+    extended value checks.
+  * Remove the udev rules file also in preinst, code taken from example at
+    http://wiki.debian.org/DpkgConffileHandling. Thanks Marco d'Itri.
+    (closes: #493151)
+  * Remove duplicated configuration of --key-file in $PARAMS at do_noluks().
+    (closes: #493848).
+  * Invoke mount_fs() and umount_fs() in cryptdisks_start, add
+    log_action_begin_msg() and log_action_end_msg() to both cryptdisk_start
+    and cryptdisks_stop.
+  * Copy fd 3 code from do_start and do_stop to cryptdisks_start and
+    cryptdisks_stop  to fix "keyscript | cryptsetup". (closes: #493622)
+  * This upload fixes two RC bugs, thus upload with severity=high.
+
+ -- Jonas Meurer <mejo@debian.org>  Wed, 06 Aug 2008 10:19:21 +0200
+
 cryptsetup (2:1.0.6-4) unstable; urgency=medium
 
   [ David Härdeman ]
diff -u cryptsetup-1.0.6/debian/preinst cryptsetup-1.0.6/debian/preinst
--- cryptsetup-1.0.6/debian/preinst
+++ cryptsetup-1.0.6/debian/preinst
@@ -12,19 +12,47 @@
 	fi
 }
 
+# Remove a no-longer used conffile
+rm_conffile() {
+	PKGNAME="$1"
+	CONFFILE="$2"
+	if [ -e "$CONFFILE" ]; then
+		md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
+		old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE '{s/ obsolete$//;s/.* //p}\"`"
+		if [ "$md5sum" != "$old_md5sum" ]; then
+			echo "Obsolete conffile $CONFFILE has been modified by you."
+			echo "Saving as $CONFFILE.dpkg-bak ..."
+			mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+		else
+			echo "Removing obsolete conffile $CONFFILE ..."
+			rm -f "$CONFFILE"
+		fi
+	fi
+}
+
+LASTVERSION="2:1.0.6-5"
 case "$1" in
-  install)
-    create_etc_keys
-    create_crypttab
-  ;;
-	
-  upgrade|abort-upgrade)
-  ;;
-	
-  *)
-    echo "preinst called with unknown argument '$1'" >&2
-    exit 1
-  ;;
+	install)
+		create_etc_keys
+		create_crypttab
+		if dpkg --compare-versions "$2" le "$LASTVERSION"; then
+			rm_conffile cryptsetup "/etc/udev/rules.d/z60_cryptsetup.rules"
+		fi
+	;;
+
+	upgrade)
+		if dpkg --compare-versions "$2" le "$LASTVERSION"; then
+			rm_conffile cryptsetup "/etc/udev/rules.d/z60_cryptsetup.rules"
+		fi
+	;;
+
+	abort-upgrade)
+	;;
+
+	*)
+		echo "preinst called with unknown argument '$1'" >&2
+		exit 1
+	;;
 esac
 
 #DEBHELPER#
diff -u cryptsetup-1.0.6/debian/cryptdisks.functions cryptsetup-1.0.6/debian/cryptdisks.functions
--- cryptsetup-1.0.6/debian/cryptdisks.functions
+++ cryptsetup-1.0.6/debian/cryptdisks.functions
@@ -36,7 +36,6 @@
 	opts=$(echo -n $1 | sed 's/ *#.*//')
 	LOUD=""
 	PARAMS=""
-	SIZE=""
 	CHECK=""
 	CHECKARGS=""
 	PRECHECK=""
@@ -67,12 +66,12 @@
 			PARAMS="$PARAMS -c $VALUE"
 			;;
 		size)
-			if echo "$VALUE" | grep -q "^[[:digit:]]\+$" && [ "$VALUE" -gt 0 ]; then
-				SIZE="$VALUE"
+			if [ -z "$VALUE" ] || echo "$VALUE" | grep -q "^[[:digit:]]\+$" && [ "$VALUE" -gt 0 ]; then
+				PARAMS="$PARAMS -s $VALUE"
 			else
-				log_warning_msg "$dst: option size used with an incorrect argument - forced to $SIZE"
+				log_warning_msg "$dst: option size used with an incorrect argument, skipping"
+				return 1
 			fi
-			PARAMS="$PARAMS -s $SIZE"
 			;;
 		hash)
 			if [ -z "$VALUE" ]; then
@@ -355,8 +354,6 @@
 		return 1
 	fi
 
-	PARAMS="$PARAMS --key-file=$key"
-
 	if [ -n "$KEYSCRIPT" ]; then
 		# keyscript => "key" is just an argument to the keyscript
 		keyscriptarg="$key"
diff -u cryptsetup-1.0.6/debian/scripts/cryptdisks_stop cryptsetup-1.0.6/debian/scripts/cryptdisks_stop
--- cryptsetup-1.0.6/debian/scripts/cryptdisks_stop
+++ cryptsetup-1.0.6/debian/scripts/cryptdisks_stop
@@ -26,6 +26,10 @@
+log_action_begin_msg "Stopping crypto disk"
+
 egrep -v "^[[:space:]]*(#|$)" "$TABFILE" | while read dst src key opts; do
 	if [ "$1" = "$dst" ]; then
-		handle_crypttab_line_stop "$dst" "$src" "$key" "$opts"
+		handle_crypttab_line_stop "$dst" "$src" "$key" "$opts" <&3
 		exit 0
 	fi
-done
+done 3<&1
+
+log_action_end_msg 0
diff -u cryptsetup-1.0.6/debian/scripts/cryptdisks_start cryptsetup-1.0.6/debian/scripts/cryptdisks_start
--- cryptsetup-1.0.6/debian/scripts/cryptdisks_start
+++ cryptsetup-1.0.6/debian/scripts/cryptdisks_start
@@ -25,6 +25,12 @@
+log_action_begin_msg "Starting crypto disk"
+mount_fs
+
 egrep -v "^[[:space:]]*(#|$)" "$TABFILE" | while read dst src key opts; do
 	if [ "$1" = "$dst" ]; then
-		handle_crypttab_line_start "$dst" "$src" "$key" "$opts"
+		handle_crypttab_line_start "$dst" "$src" "$key" "$opts" <&3
 		exit 0
 	fi
-done
+done 3<&1
+
+umount_fs
+log_action_end_msg 0

Attachment: signature.asc
Description: Digital signature


Reply to: